Summary: NIS binding process
Name: ypbind
Version: 3.3
Release: 10
Copyright: GPL
Group: Networking
Source0: ftp://weber.uni-paderborn.de/pub/linux/NIS/ypbind-%{PACKAGE_VERSION}.tar.gz
Source1: ypbind-ypbind.init
Patch0: ypbind-3.3-glibc3.diff.gz
Patch1: ypbind-3.3-syslog.patch
Prereq: /sbin/chkconfig
Source2: ypbind-yp.conf
Requires: portmap
Buildroot: /var/tmp/ypbind-root
Summary(de): NIS-Bindungsproze
Summary(fr): Processus de liason NIS.
Summary(tr): NIS/YP balant yazlm

%description
This is a daemon which runs on NIS/YP clients and binds them to a
NIS domain. It must be running for systems based on glibc to behave
as NIS clients.

%description -l de
Dies ist ein Dmon, der auf NIS/YP-Clients luft und diese in eine NIS-
Domne einbindet. Bei Systemen auf glibc-Basis mu dieser Dmon laufen, 
damit sie sich wie NIS-Clients verhalten. 

%description -l fr
Dmon tournant sur les clients NIS/YP et qu les lie  un domaine NIS.
Il doit tourner sur les systmes  base de glibc pour qu'ils se
comportent comme des clients NIS.

%description -l tr
Bu daemon sayesinde NIS istemcisi makinalar a zerinde NIS sunucusu
tarafndan sunulan bilgilere ulaabilirler. NIS istemcisi olarak alacak
tm makinalarda bu srecin almas zorunludur.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
find . \( -name "*.orig" -o -size 0 \) -exec rm -f {} \;

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr

# Rename /usr/sbin to /sbin (cheap way to move ypbind)
mv $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/sbin

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 755 $RPM_SOURCE_DIR/ypbind-ypbind.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/ypbind
install -m 644 $RPM_SOURCE_DIR/ypbind-yp.conf \
	$RPM_BUILD_ROOT/etc/yp.conf
mkdir -p $RPM_BUILD_ROOT/var/yp/binding

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ypbind

%postun
if [ $1 = 0 ] ; then
	/sbin/chkconfig --del ypbind
fi

%triggerpostun -- ypbind <= ypbind-3.3-5
/sbin/chkconfig --add ypbind

%files
%defattr(-,root,root)
/sbin/ypbind
/usr/man/*/*
%config /etc/rc.d/init.d/*
%config /etc/yp.conf
%dir /var/yp/binding
%doc README

%changelog
* Fri Oct 19 2000 Jeff Johnson <msw@redhat.com>
- Specify format string for syslog() in errorlog.c

* Fri Jul 31 1998 Jeff Johnson <jbj@redhat.com>
- typo

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- start/stop at levels 13/87 to permit /usr on NFS. Move to /sbin.

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Fri May 01 1998 Jeff Johnson <jbj@redhat.com>
- added triggerpostun

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Apr 13 1998 Cristian Gafton <gafton@redhat.com>
- added a glibc patch

* Thu Dec 04 1997 Cristian Gafton <gafton@redhat.com>
- updated to 3.3 ; fixed spec file for upgrades
- added buildroot and a sample yp.conf file
 
* Tue Oct 14 1997 Erik Troan <ewt@redhat.com>
- supports chkconfig
- turned off by default in all runlevels
- added restart and status options to the initscript

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built for all platforms
